jif.parse

## Class InstOrAccess

- java.lang.Object
- - jif.parse.Amb
  - - jif.parse.InstOrAccess

-     public class InstOrAccess
      extends Amb

  An `InstOrAccess` represents a `Amb` of the form "P[e]" or "P[p]".

- - ### Field Summary

    - ### Fields inherited from class jif.parse.Amb

      `parser, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstOrAccess(Grm parser, polyglot.util.Position pos, Amb prefix, java.lang.Object param)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `param()`
    `Amb` | `prefix()`
    `polyglot.ast.Expr` | `toExpr()`
    `polyglot.ast.Expr` | `toNewArray(polyglot.util.Position p, java.lang.Integer extraDims)`
    `polyglot.ast.Expr` | `toNewArrayPrefix(polyglot.util.Position p, java.lang.Integer extraDims)`
    `polyglot.ast.Prefix` | `toPrefix()`
    `polyglot.ast.Receiver` | `toReceiver()`
    `polyglot.ast.TypeNode` | `toType()`
    `polyglot.ast.TypeNode` | `toUnlabeledType()`

    - ### Methods inherited from class jif.parse.Amb

      `parser, position, toClassType, toIdentifier, toName, toPackage, toQualifier, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstOrAccess

          public InstOrAccess(Grm parser,
                              polyglot.util.Position pos,
                              Amb prefix,
                              java.lang.Object param)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### prefix

          public Amb prefix()

    - #### param

          public java.lang.Object param()

    - #### toType

          public polyglot.ast.TypeNode toType()
                                       throws java.lang.Exception

      Overrides:
        `toType` in class `Amb`
      Throws:
        `java.lang.Exception`

    - #### toUnlabeledType

          public polyglot.ast.TypeNode toUnlabeledType()
                                                throws java.lang.Exception

      Overrides:
        `toUnlabeledType` in class `Amb`
      Throws:
        `java.lang.Exception`

    - #### toPrefix

          public polyglot.ast.Prefix toPrefix()
                                       throws java.lang.Exception

      Overrides:
        `toPrefix` in class `Amb`
      Throws:
        `java.lang.Exception`

    - #### toReceiver

          public polyglot.ast.Receiver toReceiver()
                                           throws java.lang.Exception

      Overrides:
        `toReceiver` in class `Amb`
      Throws:
        `java.lang.Exception`

    - #### toExpr

          public polyglot.ast.Expr toExpr()
                                   throws java.lang.Exception

      Overrides:
        `toExpr` in class `Amb`
      Throws:
        `java.lang.Exception`

    - #### toNewArray

          public polyglot.ast.Expr toNewArray(polyglot.util.Position p,
                                              java.lang.Integer extraDims)
                                       throws java.lang.Exception

      Overrides:
        `toNewArray` in class `Amb`
      Throws:
        `java.lang.Exception`

    - #### toNewArrayPrefix

          public polyglot.ast.Expr toNewArrayPrefix(polyglot.util.Position p,
                                                    java.lang.Integer extraDims)
                                             throws java.lang.Exception

      Overrides:
        `toNewArrayPrefix` in class `Amb`
      Throws:
        `java.lang.Exception`